LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 01-31-2005, 04:58 AM   #1
Simkin
LQ Newbie
 
Registered: Oct 2004
Posts: 5

Rep: Reputation: 0
Unhappy [Suse 9.2] Installing kernel-module (ATI Drivers) problem


Hi all,

I have a problem building a kernel module, needed in order to install x.org drivers for my ATI radeon 9800 pro. I followed all steps in the how-to`s but now I am stuck, and I don`t see what I did wrong…

Here is where it all started:
rpm -Uh --force fglrx_6_8_0-8.8.25-1.i386.rpm

Which returned the following:
Code:
########################################### [100%]
########################################### [100%]
*** Trying to install a precompiled kernel module.
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
*** Error: no kernel module build environment - please consult readme.
/sbin/ldconfig: File /usr/X11R6/lib/FGL.renamed.libGL.so.1.2 is too small, not checked.
*** Warning ***
The QT based control panel application did not load in any version.
 ===
ATI display drivers successfully installed
please run 'fglrxconfig' now
 ===
I went to /lib/modules/fglrx/build_mod directory and ran (as root):
./make.sh
Code:
ATI module generator V 2.0
==========================
initializing...
Error:
kernel includes at /usr/src/linux/include do not match current kernel.
they are versioned as "2.6.8-24.11-default"
instead of "2.6.8-24-default".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
I check if the sym link exists (it does):
linux -> linux-2.6.8-24.11

uname -a tells me:
Linux linux 2.6.8-24-default #1 Wed Oct 6 09:16:23 UTC 2004 i686 athlon i386 GNU/Linux

I notice that “.11” part is missing, but I am unsure if that is of any importance..

My next step was:
export LINUXDIR=/usr/src/linux

then:
cd $LINUXDIR
(that command navigated me to /usr/src/linux)

then:
make cloneconfig

then:
make prepare-all

I went back to /lib/modules/fglrx/build_mod en ran:
./make.sh
Which returned the following:
Code:
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.8-24-default/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make: *** /lib/modules/2.6.8-24-default/build: No such file or directory.  Stop.
make: *** [kmod_build] Error 2
build failed with return value 2
What is this error 2 telling me, am I doing something wrong and how can I fix this? :|

So when I go to /lib/modules/fglrx and run sh make_install.sh I get the message:
Code:
*** WARNING ***
Tailored kernel module for fglrx not present in your system.
You must go to /lib/modules/fglrx/build_mod subdir
and execute './make.sh' to build a fully customed kernel module.
Afterwards go to /lib/modules/fglrx and run './make_install.sh'
in order to install the module into your kernel's module repository.
(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated
OpenGL will not work and 2D graphics will lack performance.

failed.
I can’t seem to get the kernel-module to be installed.
Can anybody please push me in the right direction? (Help!)

When I now reboot the machine X is no longer starting...

Thanks in advance for your time and effort!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem installing ATI Drivers - kernel 2.6 Greebstreebling Debian 1 12-02-2005 09:16 PM
Installing ATI drivers for Suse 9.2? battlegnome Linux - Hardware 3 04-02-2005 04:27 PM
Installing ATI drivers to Slackware 10 - kernel modules? wezzer Slackware 9 08-31-2004 06:12 PM
Problem Installing Ati 3.7.6 Drivers on Suse Linux 9.1 Feiticeiro Linux - Hardware 3 07-19-2004 09:58 PM
Problem with fglrx module (ati-drivers-3.9.0-r1) with kernel 2.6.7 in Gentoo Mitchua Linux - Hardware 1 07-10-2004 09:36 PM


All times are GMT -5. The time now is 06:12 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration